summaryrefslogtreecommitdiffstats
path: root/ci/02-maasdeploy.sh
diff options
context:
space:
mode:
authorNarinder Gupta <narinder.gupta@canonical.com>2016-05-13 17:38:31 +0000
committerGerrit Code Review <gerrit@172.30.200.206>2016-05-13 17:38:31 +0000
commit3be824ad16a972f29eaa100544a1fdfddb344258 (patch)
tree023996d68d097b412d670f5677342f51ef0ebf71 /ci/02-maasdeploy.sh
parentb580a13a9d7bd0234ffc94f92ecedf859d50b17f (diff)
parentfbfff35468e2843d2df4209cf376fd34da25a6ab (diff)
Merge "modfiied as per specs from intel pod6 page and real experience."
Diffstat (limited to 'ci/02-maasdeploy.sh')
-rwxr-xr-xci/02-maasdeploy.sh10
1 files changed, 8 insertions, 2 deletions
diff --git a/ci/02-maasdeploy.sh b/ci/02-maasdeploy.sh
index d08b9004..9f48bd94 100755
--- a/ci/02-maasdeploy.sh
+++ b/ci/02-maasdeploy.sh
@@ -209,8 +209,14 @@ case "$1" in
;;
'intelpod9' )
maas refresh
- enableautomodebyname eth4 AUTO "10.9.12.0/24" compute || true
- enableautomodebyname eth4 AUTO "10.9.12.0/24" control || true
+ crvlanupdsubnet vlan902 1 "DataNetwork" 902 2 || true
+ crvlanupdsubnet vlan905 2 "PublicNetwork" 905 3 || true
+ crnodevlanint $vlan902 eth0 || true
+ crnodevlanint $vlan905 eth1 || true
+ enableautomodebyname eth0.902 AUTO "10.9.12.0/24" compute || true
+ enableautomodebyname eth1.905 AUTO "10.9.15.0/24" compute || true
+ enableautomodebyname eth0.902 AUTO "10.9.12.0/24" control || true
+ enableautomodebyname eth1.905 AUTO "10.9.15.0/24" control || true
;;
'orangepod1' )
maas refresh